#include <PS2X_lib.h>
PS2X ps2x;

int valLY;
int valRY;

int error = 0; 
byte type = 0;
byte vibrate = 0;

int motor1enablePin = 6;       //must be PWM
int motor1Pin1 = 7;   //don't need to be PWM
int motor1Pin2 = 8;   //don't need to be PWM

int motor2enablePin = 9;       //must be PWM
int motor2Pin1 = 10;  //don't need to be PWM
int motor2Pin2 = 11;  //don't need to be PWM


void setup()
{
 error = ps2x.config_gamepad(2,3,4,5);  //setup GamePad(clock, command, attention, data) pins
 if(error == 0){}
 
 pinMode(motor1Pin1, OUTPUT);
 pinMode(motor1Pin2, OUTPUT);
 pinMode(motor1enablePin, OUTPUT);
 
 pinMode(motor2Pin1, OUTPUT);
 pinMode(motor2Pin2, OUTPUT);
 pinMode(motor2enablePin, OUTPUT);
}


void loop()
{
 if(error == 1) 
 return;
 
 else 
 {
  ps2x.read_gamepad();
  
      valRY = (ps2x.Analog(PSS_RY));
   
    if (valRY >= 156)
   {
     analogWrite(motor1enablePin, 200);
     digitalWrite(motor1Pin1, LOW);
     digitalWrite(motor1Pin2, HIGH);
   } 
        
     if (valRY <= 89)
   {
     analogWrite(motor1enablePin, 200);
     digitalWrite(motor1Pin1, HIGH);
     digitalWrite(motor1Pin2, LOW);
   }
   
     if ((valRY > 89) & (valRY < 156))
   {
     analogWrite(motor1enablePin, 0);
     digitalWrite(motor1Pin1, LOW);
     digitalWrite(motor1Pin2, LOW);
   }

   
      valLY = (ps2x.Analog(PSS_LY));
   
     if (valLY >= 156)
   {
     analogWrite(motor2enablePin, 200);
     digitalWrite(motor2Pin1, HIGH);
     digitalWrite(motor2Pin2, LOW);
   } 
        
     if (valLY <= 89)
   {
     analogWrite(motor2enablePin, 200);
     digitalWrite(motor2Pin1, LOW);
     digitalWrite(motor2Pin2, HIGH);
   }
   
     if ((valLY > 89) & (valLY < 156))
   {
     analogWrite(motor2enablePin, 0);
     digitalWrite(motor2Pin1, LOW);
     digitalWrite(motor2Pin2, LOW);
   }
   
 }
}
